CFD Online Discussion Forums

CFD Online Discussion Forums (http://www.cfd-online.com/Forums/)
-   OpenFOAM Installation (http://www.cfd-online.com/Forums/openfoam-installation/)
-   -   Install OpenFoam 1.6-ext (http://www.cfd-online.com/Forums/openfoam-installation/88997-install-openfoam-1-6-ext.html)

aminiyasser June 1, 2011 03:28

Install OpenFoam 1.6-ext
 
Sourcing: /home/aminiyasser/OpenFOAM/OpenFOAM-1.6-ext/etc/settings.sh
Using openmpi-1.4.3 from the ThirdParty package: /home/aminiyasser/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/packages/openmpi-1.4.3
Sourcing: /home/aminiyasser/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/packages/openmpi-1.4.3/platforms/linux64GccDPOpt/etc/openmpi-1.4.3.sh
Using system installed OpenMPI:
OPENMPI_BIN_DIR : /home/aminiyasser/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/packages/openmpi-1.4.3/platforms/linux64GccDPOpt/bin
OPENMPI_LIB_DIR : /home/aminiyasser/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/packages/openmpi-1.4.3/platforms/linux64GccDPOpt/lib
OPENMPI_INCLUDE_DIR : /home/aminiyasser/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/packages/openmpi-1.4.3/platforms/linux64GccDPOpt/include
OPENMPI_COMPILE_FLAGS : -I/home/aminiyasser/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/packages/openmpi-1.4.3/platforms/linux64GccDPOpt/include -pthread
OPENMPI_LINK_FLAGS : -pthread -L/home/aminiyasser/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/packages/openmpi-1.4.3/platforms/linux64GccDPOpt/lib -lmpi -lopen-rte -lopen-pal -ldl -Wl,--export-dynamic -lnsl -lutil -lm -ldl

MPI_HOME : /home/aminiyasser/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/packages/openmpi-1.4.3/platforms/linux64GccDPOpt
MPI_ARCH_PATH : /home/aminiyasser/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/packages/openmpi-1.4.3/platforms/linux64GccDPOpt
OPAL_PREFIX : /home/aminiyasser/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/packages/openmpi-1.4.3/platforms/linux64GccDPOpt
PINC : -I/home/aminiyasser/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/packages/openmpi-1.4.3/platforms/linux64GccDPOpt/include -pthread
PLIBS : -pthread -L/home/aminiyasser/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/packages/openmpi-1.4.3/platforms/linux64GccDPOpt/lib -lmpi -lopen-rte -lopen-pal -ldl -Wl,--export-dynamic -lnsl -lutil -lm -ldl
Sourcing: /home/aminiyasser/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/packages/mesquite-2.1.2/platforms/linux64GccDPOpt/etc/mesquite-2.1.2.sh
MESQUITE_DIR is initialized to: /home/aminiyasser/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/packages/mesquite-2.1.2/platforms/linux64GccDPOpt
Sourcing: /home/aminiyasser/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/packages/metis-5.0pre2/platforms/linux64GccDPOpt/etc/metis-5.0pre2.sh
METIS_DIR is initialized to: /home/aminiyasser/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/packages/metis-5.0pre2/platforms/linux64GccDPOpt
Sourcing: /home/aminiyasser/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/packages/ParMetis-3.1.1/platforms/linux64GccDPOpt/etc/ParMetis-3.1.1.sh
PARMETIS_DIR is initialized to: /home/aminiyasser/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/packages/ParMetis-3.1.1/platforms/linux64GccDPOpt
PARMGRIDGEN_DIR is initialized to:
Sourcing: /home/aminiyasser/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/packages/libccmio-2.6.1/platforms/linux64GccDPOpt/etc/libccmio-2.6.1.sh
LIBCCMIO_DIR is initialized to: /home/aminiyasser/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/packages/libccmio-2.6.1/platforms/linux64GccDPOpt
Sourcing: /home/aminiyasser/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/packages/scotch-5.1.10b/platforms/linux64GccDPOpt/etc/scotch-5.1.10b.sh
SCOTCH_DIR is initialized to: /home/aminiyasser/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/packages/scotch-5.1.10b/platforms/linux64GccDPOpt
Sourcing: /home/aminiyasser/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/packages/cmake-2.8.3/platforms/linux64GccDPOpt/etc/cmake-2.8.3.sh
CMAKE_DIR is initialized to: /home/aminiyasser/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/packages/cmake-2.8.3/platforms/linux64GccDPOpt
PYTHON_DIR is initialized to:
QT_DIR is initialized to:
Sourcing: /home/aminiyasser/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/packages/ParaView-3.8.1/platforms/linux64GccDPOpt/etc/ParaView-3.8.1.sh
PARAVIEW_DIR is initialized to: /home/aminiyasser/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/packages/ParaView-3.8.1/platforms/linux64GccDPOpt
Sourcing: /home/aminiyasser/OpenFOAM/OpenFOAM-1.6-ext/etc/aliases.sh
aminiyasser@lap:~$

lindstroem June 1, 2011 03:53

Have you compiled the ThirdParty files first? There is a folder "ThirdParty" - enter it an run AllMake

Hope it helps

aminiyasser June 1, 2011 04:14

Dear lindstroem
 
Quote:

Originally Posted by lindstroem (Post 310073)
Have you compiled the ThirdParty files first? There is a folder "ThirdParty" - enter it an run AllMake

Hope it helps


yes I run ./AllMake in ThirdParty and successfully install paraview
also some of my solver is worked but the icoFsiFoam not worked

lindstroem June 1, 2011 04:31

Quote:

Originally Posted by aminiyasser (Post 310069)
but the ./Allwmake in openFoam-1.6-ext folder is not execute in these command and therefor the solvers not compiled when I Run ./Allwmake in openFoam-1.6-ext folder I encounter error

But how can some solvers run, when you haven't compiled them? Are you sure you don't use the OF1.7.1 solvers? if AllMake is not executable - make it executalbe:
chmod +x AllMake But actually it should already be executable... Sorry, dont know whats wrong.

aminiyasser June 1, 2011 08:01

Quote:

Originally Posted by lindstroem (Post 310080)
But how can some solvers run, when you haven't compiled them? Are you sure you don't use the OF1.7.1 solvers? if AllMake is not executable - make it executalbe:
chmod +x AllMake But actually it should already be executable... Sorry, dont know whats wrong.


are you install openFoam 1.6-ext ? if yes please tell me step by step of your install procedure
can you run the icoFsiFoam tutorial ?
I want install 1.6-ext again what command should be used for clean openfoam 1.6-ext and its solvers

lindstroem June 1, 2011 08:26

I have 1.6-ext running but the icoFsiFoam is obviously not part of this package. It needs to be installed afterwards by hand:
http://www.cfd-online.com/Forums/ope...cofsifoam.html
So you have to download the sources and build them. There are several guides how to install of1.6-ext online so i dont need to rewrite it again. If you have problems post the error messages then it is easier to help you.

aminiyasser June 1, 2011 09:10

Quote:

Originally Posted by lindstroem (Post 310119)
I have 1.6-ext running but the icoFsiFoam is obviously not part of this package. It needs to be installed afterwards by hand:
http://www.cfd-online.com/Forums/ope...cofsifoam.html
So you have to download the sources and build them. There are several guides how to install of1.6-ext online so i dont need to rewrite it again. If you have problems post the error messages then it is easier to help you.


Dear lindstroem
icoFsiFoam is a solver of 1.6-ext and exist in stressAnalysis
the path of tutorial of icoFsiFoam is :
OpenFOAM-1.6-ext/tutorials/stressAnalysis/icoFsiFoam/

bigcarrot23 June 1, 2011 09:47

If u wanna uninstall it, Firstly you should delete one command line related to settings.sh in .bashrc. You can use "rm -rf" command to delete it completely after that. :p

aminiyasser June 1, 2011 10:01

Quote:

Originally Posted by bigcarrot23 (Post 310137)
If u wanna uninstall it, Firstly you should delete one command line related to settings.sh in .bashrc. You can use "rm -rf" command to delete it completely after that. :p



I delete this line in .bashrc
. $HOME/OpenFOAM/OpenFOAM-1.6-ext/etc/bashrc
and then execute " rm -rf "
but the openFoam 1.6-ext not removed !!!!!!!!!

nimasam June 3, 2011 17:53

where do u execute rm -rf?
rm : remove
r : recursive
f :with force!

so:
cd ~
rm -rf OpenFOAM

aminiyasser June 4, 2011 00:44

dear nima
 
Quote:

Originally Posted by nimasam (Post 310438)
where do u execute rm -rf?
rm : remove
r : recursive
f :with force!

so:
cd ~
rm -rf OpenFOAM

Dear nima
tanks for your answer
I have removed OpenFoam1.6-ext
are you install openFoam1.6-ext ?

nimasam June 4, 2011 10:21

whats wrong with ur installation?

aminiyasser June 6, 2011 01:10

Daer Nima
 
Quote:

Originally Posted by nimasam (Post 310493)
whats wrong with ur installation?

Dear nima
my errors is displayed at the top of this page

lindstroem June 6, 2011 04:41

I found the tutorial, it runs fine on my machine. What system are you running on?

aminiyasser June 8, 2011 00:50

Quote:

Originally Posted by lindstroem (Post 310637)
I found the tutorial, it runs fine on my machine. What system are you running on?

my OS is Ubuntu 10.0.4.2
which tutorial ?
can you sen it to me ?

lindstroem June 8, 2011 08:53

Quote:

Originally Posted by aminiyasser (Post 310973)
which tutorial ?

the icoFsiFoam tutorial..

Maybe you can try this tutorial for an installation of 1.6-ext.. otherwise git clone the sources try to build them and if it fails post error messages..

Quote:

Originally Posted by wyldckat (Post 290344)
Greetings to all!

@rassilon: OK, I've got Ubuntu 10.10 as well and here is what I did:
  1. Added the repository as indicated in the wiki:
    Code:

    sudo add-apt-repository ppa:cae-team/ppa
  2. Then went to the "Synaptic Package Manager", menu "Settings->Repositories".
  3. In the tab "Other Software", edited the entries for cae-team and changed from maverick to lucid.
  4. Closed the "Repositories" dialog.
  5. Pressed the "Reload" button on the top left in Synaptic.
  6. Wrote "openfoam" on the "Quick search" edit box and voilá, the versions provided by the CAE Team appeared.
  7. I chose the desired packages and installed without any problems!
Best regards and good luck!
Bruno


desert_1250 May 27, 2012 09:34

openFOAM-1.6-ext
 
Hello all
how can i install OpenFOAM-1.6-ext on Kubuntu while OF-1.5-dev installed automatically on this version of Linux?
i read some documention about this problem, but i could not success to install it. would you mind to tell me step by step that how do it?

tanx
______
Kind Regards

elvis May 29, 2012 04:08

Hi,

you can have installed more than one installation coexisting side by side if you have the right .bashrc ;-)

alias startOF15dev='unset FOAM_INST_DIR;unset WM_PROJECT_USER_DIR;unset WM_THIRD_PARTY_DIR;source /usr/lib/OpenFOAM-1.5dev/etc/bashrc'
alias startOF16ext='unset FOAM_INST_DIR;unset WM_PROJECT_USER_DIR;unset WM_THIRD_PARTY_DIR;source /usr/lib/OpenFOAM-1.6-ext/etc/bashrc'
alias startOFwhateveryouwant='...'

please write the correct path after source => http://openfoamwiki.net/index.php/Installation

on the console you type startOF16ext or startOF15dev or startOFwhateveryouwant to use the specific OFversion you want

fatemeh.sadeghpour October 23, 2012 11:56

Quote:

Originally Posted by aminiyasser (Post 310452)
Dear nima
tanks for your answer
I have removed OpenFoam1.6-ext
are you install openFoam1.6-ext ?



I have question?
cd ~
rm rs OpenFOAM or OpenFOAM-1.6-ext???
i want to uninstall 1.6 and then to install again, because it has wrong directory, i should install in openfoam 2.1.1 directory not run directory.
but i dont want to make mistake,for example not to remove openfoam 2.1.1
please help me
thanks

nimasam October 23, 2012 12:36

Hi
How did you install your OpenFOAM?
from source, binary package or .deb package?
if you install it from source or binary package you can go to that directory and
remove it with
rm -rf
but if you install .deb package, you can easily uninstall it from synaptic package manager


All times are GMT -4. The time now is 14:38.